#!/bin/bash
SHEF_CACHE_DIR=$HOME/.cache/configuration/slack
DEB_PACKAGE=slack-desktop-4.14.0-amd64.deb


if command -v slack > /dev/null 2>&1; then
    echo "Slack is already installed"
    return 0
fi

if [ ! -f "$SHEF_CACHE_DIR/$DEB_PACKAGE" ]; then
    shef apt libcurl4
    wget "https://downloads.slack-edge.com/linux_releases/$DEB_PACKAGE" -P "$SHEF_CACHE_DIR"
fi

sudo dpkg -i "$SHEF_CACHE_DIR/$DEB_PACKAGE"
